SND_AC97_SET_RATE(9)

NAME
snd_ac97_set_rate - change the rate of the given input/output.

SYNOPSIS

int snd_ac97_set_rate(struct snd_ac97 * ac97, int reg, unsigned int rate);

ARGUMENTS

ac97
    the ac97 instance

reg
    the register to change

rate
    the sample rate to set

DESCRIPTION

Changes the rate of the given input/output on the codec. If the codec doesn't support VAR, the rate must be 48000 (except for SPDIF).

The valid registers are AC97_PMC_MIC_ADC_RATE, AC97_PCM_FRONT_DAC_RATE, AC97_PCM_LR_ADC_RATE. AC97_PCM_SURR_DAC_RATE and AC97_PCM_LFE_DAC_RATE are accepted if the codec supports them. AC97_SPDIF is accepted as a pseudo register to modify the SPDIF status bits.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT